Skip to content

Reply Modification



POST /api/v1/incidents/comment/{comment_uuid}/modify

Overview

Route Parameters

Parameter Name Type Required Description
comment_uuid string Y Single comment uuid
Allow empty: False

Body Request Parameters

Parameter Name Type Required Description
comment string Y Comment content
Allow empty: False
Example: comment_xxx
extend json Extended information
Allow empty: False
Example: {}
attachmentUUIDs array Attachment UUID list
Allow empty: False
Example: []

Parameter Supplementary Description

Basic Parameter Description

Parameter Name Parameter Type Required Parameter Description
attachmentUUIDs array N Corresponds to the attachment list uuid for replying to an issue. Must be uploaded first via the /api/v1/attachment/upload interface.
comment string Y Comment content
extend json N Extended field, default pass {}

Extended Field extend Description

Parameter Name Parameter Type Required Parameter Description
members array N Notification target members expected to be notified for the incident.
linkList array N Add links

extend field example:

{
    "members": [
        {
            "type": "@",
            "uuid": "acnt_xxxx32",
            "exists": true
        }
    ],
    "linkList": [
        {
            "name": "Test",
            "link": "https://xxxx",
        }
    ]
}

Request Example

curl 'https://openapi.truewatch.com/api/v1/incidents/comment/inccmt_xxx/modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"comment":"aaaaa<div>ddd</div>","attachmentUUIDs":[],"extend":{"links":[],"members":[]}}'\
--compressed

Response

{
    "code": 200,
    "content": {
        "incidentsUUID": "incident_xxxx",
        "workspaceUUID": "wksp_xxx",
        "comment": "aaaaa<div>ddd</div>",
        "extend": {
            "links": [],
            "members": []
        },
        "id": 33,
        "uuid": "inccmt_xxx",
        "status": 0,
        "creator": "acnt_xxxx",
        "updator": "acnt_xxx",
        "createAt": 1768964545,
        "deleteAt": -1,
        "updateAt": 1768986552.8467112,
        "attachments": []
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "xxxx"
}